<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class EvaluacionDiagnostica extends Model
{
    protected $table = "ins_evaldiag";
    protected $primaryKey = 'cve_evaldiag';
    protected $fillable = ['fecha_evaldiag', 'grupo_evaldiag', 'promglob_evaldiag', 'evagen_evaldiag', 'recacc_evaldiag', 'status_evaldiag', 'estado_evaldiag', 'cve_mat'];

    public function materia()
    {
        return $this->hasOne('App\Materia', 'cve_mat', 'cve_mat');
    }
    public function docenteEvaluacionDiagEP()
    {
        return $this->hasMany('App\DocenteEvaluacionDEP', 'cve_evaldiag', 'cve_evaldiag');
    }
}
